Benutzerdefinierte Suche

packages compilieren für python 2.4.3 UB

  1. ceo2

    ceo2 Thread StarterMacUser Mitglied

    Mitglied seit:
    24.10.2005
    Beiträge:
    73
    Zustimmungen:
    0
    Hi,

    ich hab gerade auf Python 2.4.3 UB gewechselt, leider kann ich jetzt offenbar diverse source Packages (Numeric, zope) nicht mehr compilieren. Der Fehler: fehlende C-Standard Header wie zB string.h werden moniert. Bei python 2.3 hat das kompilieren problemlos funktioniert.

    Ich hab inzwischen herausgefunden, dass das Problem wohl das bei mir fehlende UB SDK für mac OSX ist (macOSX10.4u.sdk oder so). Die einfachste Lösung wäre also, dieses SDK zu installieren. Nur: ich brauche ja auf meinem PPC eigentlich keine UBs, und will auch keine verteilen :) (im Moment jedenfalls). Kann ich prinzipiell so ein Package auch im PPC-Modus für python UB kompilieren? Und wenn ja, wie kann ich die Konfiguration entsprechend ändern?

    Ich könnte mir vorstellen, dass das nicht geht, da vermutlich auf UB Bibliotheken zurückgegriffen wird, und diese möglicherweise nur mit anderen UB-Komponenten zusammenarbeiten. Bin auf dem Gebiet aber eher Laie :).

    Danke schonmal
     
    ceo2, 17.05.2006
Die Seite wird geladen...
Ähnliche Themen - packages compilieren python
  1. mcfisch
    Antworten:
    2
    Aufrufe:
    1.006
    mcfisch
    11.11.2013
  2. sebili
    Antworten:
    7
    Aufrufe:
    1.128
  3. Sr.Herms
    Antworten:
    3
    Aufrufe:
    867
  4. Mephisto_
    Antworten:
    12
    Aufrufe:
    983
    Mephisto_
    11.02.2007
  5. slackfr
    Antworten:
    5
    Aufrufe:
    1.260
    Relampago
    18.09.2006